<template>
  <div class="layout">
    <AppHeader></AppHeader>
    <a-layout id="components-layout-demo-custom-trigger">
      <a-layout-sider :trigger="null" collapsible>
        <div class="logo">
          <img src="../../assets/logo.png" alt="">
        </div>
        <a-menu theme="dark" mode="inline" :default-selected-keys="routerName"
                @click="handleMenu">
          <a-menu-item key="userManger">
            <a-icon type="user" />
            <span>用户管理</span>
          </a-menu-item>
          <a-menu-item key="gameManger">
            <a-icon type="global" />
            <span>自定义赛事管理</span>
          </a-menu-item>
        </a-menu>
      </a-layout-sider>
      <a-layout-content
          :style="{ background: '#fff', minHeight: '280px' }"
      >
        <router-view :style="'min-height:' + routerPageHeight + 'px; padding: 24px'"></router-view>
        <AppFooter></AppFooter>
      </a-layout-content>
    </a-layout>
  </div>
</template>

<script>
import AppHeader from '../../components/Header.vue';
import AppFooter from '../../components/Footer.vue';
import {mapState} from "vuex";
export default {
  name: "adminLayout",
  components: {AppHeader, AppFooter},
  data() {
    return {
      routerPageHeight: 0,
    }
  },

  computed: {
    ...mapState('common', ['routerName'])
  },

  created() {
    this.routerPageHeight = window.innerHeight - 114
  },

  methods: {
    handleMenu({ item, key, keyPath}) {
      if (key === this.routerName[0]) return;
      this.$router.push(`/admin/${key}`)
    }
  }
}
</script>

<style lang="less" scoped>
/deep/ .ant-layout-sider-children {
  .logo {
    height: 66px;
    display: flex;
    align-items: center;
    justify-content: center;
    img {
      width: 150px;
    }
  }
}
</style>